OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESData

# IGESData_TransfEntity Class Reference

defines required type for Transf in directory part
an effective Transf entity must inherits it

`#include <IGESData_TransfEntity.hxx>`

Inheritance diagram for IGESData_TransfEntity:

[legend]

## Public Member Functions
virtual Standard_EXPORT gp_GTrsf | Value () const =0
| gives value of the transformation, as a GTrsf To be defined by an effective class of Transformation Entity Warning : Must take in account Composition : if a TransfEntity has in its Directory Part, a Transf, this means that it is Compound, Value must return the global result
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const IGESData_TransfEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity. Reimplemented in IGESGeom_TransformationMatrix.

virtual Standard_EXPORT gp_GTrsf IGESData_TransfEntity::Value | ( |  | ) | const`[pure virtual]`

| Implemented in IGESGeom_TransformationMatrix.

The documentation for this class was generated from the following file:

- IGESData_TransfEntity.hxx